/**
 * Copyright (c) 2014-2016 Linagora
 * 
 * This program/library is free software: you can redistribute it and/or modify
 * it under the terms of the GNU Lesser General Public License as published by
 * the Free Software Foundation, either version 2.1 of the License, or (at your
 * option) any later version.
 * 
 * This program/library is distributed in the hope that it will be useful, but
 * WITHOUT ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or
 * FITNESS FOR A PARTICULAR PURPOSE. See the GNU Lesser General Public License
 * for more details.
 * 
 * You should have received a copy of the GNU Lesser General Public License
 * along with this program/library; If not, see http://www.gnu.org/licenses/
 * for the GNU Lesser General Public License version 2.1.
 */
package org.ow2.petals.cli.api.connection.exception;

/**
 * The value of the connection parameter 'port' must be: <code>0 < port <= 65535</code>
 * 
 * @author Christophe DENEUX - Linagora
 */
public class InvalidPortException extends InvalidConnectionParameterException {
    
    private static final long serialVersionUID = -8482899481624026716L;

    private static final String MESSAGE = "The port to connect is invalid (0 < port < 65535)";

    public InvalidPortException() {
        super(MESSAGE);
    }
}
